Source: python-pgmagick
Version: 0.6-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

python-pgmagick fails to build from source in unstable/amd64:

  [..]

  Setting up liblzma-dev:amd64 (5.1.1alpha+20120614-2.1) ...
  Setting up libtiffxx5:amd64 (4.0.6-1) ...
  Setting up libtiff5-dev:amd64 (4.0.6-1) ...
  Setting up libexif12:amd64 (0.6.21-2) ...
  Setting up libjs-jquery (1.12.3-1) ...
  Setting up libexif-dev (0.6.21-2) ...
  Setting up libbz2-dev:amd64 (1.0.6-8) ...
  Setting up libltdl7:amd64 (2.4.6-0.1) ...
  Setting up libltdl-dev:amd64 (2.4.6-0.1) ...
  Setting up libgraphicsmagick1-dev (1.3.24-1) ...
  Setting up libgraphicsmagick++1-dev (1.3.24-1) ...
  Setting up libboost1.58-dev:amd64 (1.58.0+dfsg-5+b1) ...
  Setting up libboost-python1.58.0 (1.58.0+dfsg-5+b1) ...
  Setting up libboost-python1.58-dev (1.58.0+dfsg-5+b1) ...
  Setting up libboost-python-dev (1.58.0.1) ...
  Setting up python-pgmagick-build-deps (0.6-1) ...
  Processing triggers for libc-bin (2.22-9) ...
  Processing triggers for systemd (230-1) ...
  
  
**************************************************************************************
  ** Environment                                                                
      **
  
**************************************************************************************
  
  
PATH=/home/lamby/git/projects/dotfiles/dotfiles/..//bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  HOSTNAME=31a16acb692a
  TERM=xterm
  EVAL=db python-pgmagick; ret="${?}"; if [ "${ret}" = 29 ]; then ft . 300; 
echo python-pgmagick >> /tmp/tmp.Fy5wFBu5Ks; fi; echo python-pgmagick >> 
/home/lamby/unfiled/get-ftbfs-logs/.unreproducible; exit ${ret}
  PAGER=more
  DISPLAY=:0
  DOCKER_IMAGE=lamby-debian-sid
  DEB_BUILD_OPTIONS=parallel=9
  PIP_DOWNLOAD_CACHE=/home/lamby/.cache/pip
  HOME=/home/lamby
  LOGNAME=lamby
  SHLVL=1
  
PWD=/home/lamby/temp/cdt.20160531140342.uhIR1MuCRv.python-pgmagick/python-pgmagick-0.6
  OLDPWD=/home/lamby/temp/cdt.20160531140342.uhIR1MuCRv.python-pgmagick
  GPG_TTY=/dev/console
  QUILT_PATCHES=debian/patches
  QUILT_NO_DIFF_INDEX=1
  QUILT_REFRESH_ARGS=-p ab --no-timestamps --no-index
  DEBEMAIL=la...@debian.org
  DEBFULLNAME=Chris Lamb
  EDITOR=vim
  LESS=-cgiFx4M
  BLASTER=A220 I5 D1 H5 P330 T6
  _=/usr/bin/env
  
  
**************************************************************************************
  ** Building python-pgmagick 0.6-1 on amd64                                    
      **
  
**************************************************************************************
  
   dpkg-buildpackage -rfakeroot -D -us -uc -b
  dpkg-buildpackage: info: source package python-pgmagick
  dpkg-buildpackage: info: source version 0.6-1
  dpkg-buildpackage: info: source distribution unstable
  dpkg-buildpackage: info: source changed by TANIGUCHI Takaki 
<tak...@debian.org>
   dpkg-source --before-build python-pgmagick-0.6
  dpkg-buildpackage: info: host architecture amd64
   fakeroot debian/rules clean
  dh clean --buildsystem=pybuild --with python2,python3
     dh_testdir -O--buildsystem=pybuild
     dh_auto_clean -O--buildsystem=pybuild
  I: pybuild base:184: python2.7 setup.py clean 
  include header path: /usr/include/GraphicsMagick/
  boost lib: boost_python
  library path: /usr/lib/libGraphicsMagick++
  GraphicsMagick version: 1.3.24
  running clean
  removing 
'/home/lamby/temp/cdt.20160531140342.uhIR1MuCRv.python-pgmagick/python-pgmagick-0.6/.pybuild/pythonX.Y_2.7/build'
 (and everything under it)
  'build/bdist.linux-x86_64' does not exist -- can't clean it
  'build/scripts-2.7' does not exist -- can't clean it
  I: pybuild base:184: python3.5 setup.py clean 
  include header path: /usr/include/GraphicsMagick/
  boost lib: boost_python-py35
  library path: /usr/lib/libGraphicsMagick++
  GraphicsMagick version: 1.3.24
  running clean
  removing 
'/home/lamby/temp/cdt.20160531140342.uhIR1MuCRv.python-pgmagick/python-pgmagick-0.6/.pybuild/pythonX.Y_3.5/build'
 (and everything under it)
  'build/bdist.linux-x86_64' does not exist -- can't clean it
  'build/scripts-3.5' does not exist -- can't clean it
     dh_clean -O--buildsystem=pybuild
   debian/rules build
  dh build --buildsystem=pybuild --with python2,python3
     dh_testdir -O--buildsystem=pybuild
     dh_update_autotools_config -O--buildsystem=pybuild
     dh_auto_configure -O--buildsystem=pybuild
  I: pybuild base:184: python2.7 setup.py config 
  include header path: /usr/include/GraphicsMagick/
  boost lib: boost_python
  library path: /usr/lib/libGraphicsMagick++
  GraphicsMagick version: 1.3.24
  running config
  I: pybuild base:184: python3.5 setup.py config 
  include header path: /usr/include/GraphicsMagick/
  boost lib: boost_python-py35
  library path: /usr/lib/libGraphicsMagick++
  GraphicsMagick version: 1.3.24
  running config
     dh_auto_build -O--buildsystem=pybuild
  I: pybuild base:184: /usr/bin/python setup.py build 
  include header path: /usr/include/GraphicsMagick/
  boost lib: boost_python
  library path: /usr/lib/libGraphicsMagick++
  GraphicsMagick version: 1.3.24
  running build
  running build_py
  creating 
/home/lamby/temp/cdt.20160531140342.uhIR1MuCRv.python-pgmagick/python-pgmagick-0.6/.pybuild/pythonX.Y_2.7/build/pgmagick
  copying pgmagick/__init__.py -> 
/home/lamby/temp/cdt.20160531140342.uhIR1MuCRv.python-pgmagick/python-pgmagick-0.6/.pybuild/pythonX.Y_2.7/build/pgmagick
  copying pgmagick/api.py -> 
/home/lamby/temp/cdt.20160531140342.uhIR1MuCRv.python-pgmagick/python-pgmagick-0.6/.pybuild/pythonX.Y_2.7/build/pgmagick
  copying pgmagick/_version.py -> 
/home/lamby/temp/cdt.20160531140342.uhIR1MuCRv.python-pgmagick/python-pgmagick-0.6/.pybuild/pythonX.Y_2.7/build/pgmagick
  running build_ext
  building 'pgmagick._pgmagick' extension
  creating build
  creating build/temp.linux-x86_64-2.7
  creating build/temp.linux-x86_64-2.7/src
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathLinetoRel.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathLinetoRel.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_main.cpp -o 
build/temp.linux-x86_64-2.7/./src/_main.o -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 
-D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableAffine.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableAffine.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawablePopClipPath.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawablePopClipPath.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawablePolygon.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawablePolygon.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_Blob.cpp -o 
build/temp.linux-x86_64-2.7/./src/_Blob.o -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 
-D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableLine.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableLine.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_FilterTypes.cpp -o 
build/temp.linux-x86_64-2.7/./src/_FilterTypes.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_NoiseType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_NoiseType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_Exception.cpp -o 
build/temp.linux-x86_64-2.7/./src/_Exception.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawablePolyline.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawablePolyline.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathCurvetoArgs.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathCurvetoArgs.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_ColorspaceType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_ColorspaceType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathSmoothQuadraticCurvetoAbs.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathSmoothQuadraticCurvetoAbs.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableClipPath.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableClipPath.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathLinetoVerticalAbs.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathLinetoVerticalAbs.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawablePushPattern.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawablePushPattern.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_ResolutionType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_ResolutionType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableStrokeLineCap.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableStrokeLineCap.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawablePath.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawablePath.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableTextDecoration.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableTextDecoration.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_Color.cpp -o 
build/temp.linux-x86_64-2.7/./src/_Color.o -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 
-D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathQuadraticCurvetoArgs.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathQuadraticCurvetoArgs.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableStrokeAntialias.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableStrokeAntialias.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_Pixels.cpp -o 
build/temp.linux-x86_64-2.7/./src/_Pixels.o -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 
-D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathLinetoVerticalRel.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathLinetoVerticalRel.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_GravityType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_GravityType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_QuantumOperator.cpp -o 
build/temp.linux-x86_64-2.7/./src/_QuantumOperator.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawablePointSize.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawablePointSize.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableStrokeOpacity.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableStrokeOpacity.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableGravity.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableGravity.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_FillRule.cpp -o 
build/temp.linux-x86_64-2.7/./src/_FillRule.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DistortImageMethod.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DistortImageMethod.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawablePushGraphicContext.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawablePushGraphicContext.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_Geometry.cpp -o 
build/temp.linux-x86_64-2.7/./src/_Geometry.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathCurvetoRel.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathCurvetoRel.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_Drawable.cpp -o 
build/temp.linux-x86_64-2.7/./src/_Drawable.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawablePushClipPath.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawablePushClipPath.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DecorationType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DecorationType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_QuantumType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_QuantumType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathLinetoHorizontalRel.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathLinetoHorizontalRel.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableViewbox.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableViewbox.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_EndianType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_EndianType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathArcArgs.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathArcArgs.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableBezier.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableBezier.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableTranslation.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableTranslation.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableDashArray.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableDashArray.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableScaling.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableScaling.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableMiterLimit.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableMiterLimit.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_ImageType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_ImageType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PaintMethod.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PaintMethod.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_ChannelType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_ChannelType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_CompressionType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_CompressionType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableStrokeColor.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableStrokeColor.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathMovetoRel.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathMovetoRel.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathSmoothCurvetoRel.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathSmoothCurvetoRel.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathCurvetoAbs.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathCurvetoAbs.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathQuadraticCurvetoRel.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathQuadraticCurvetoRel.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_LineCap.cpp -o 
build/temp.linux-x86_64-2.7/./src/_LineCap.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathQuadraticCurvetoAbs.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathQuadraticCurvetoAbs.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_PathClosePath.cpp -o 
build/temp.linux-x86_64-2.7/./src/_PathClosePath.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_InterlaceType.cpp -o 
build/temp.linux-x86_64-2.7/./src/_InterlaceType.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_DrawableEllipse.cpp -o 
build/temp.linux-x86_64-2.7/./src/_DrawableEllipse.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_TypeMetric.cpp -o 
build/temp.linux-x86_64-2.7/./src/_TypeMetric.o 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 -D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall 
-Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC 
-I/usr/include/python2.7 -I/usr/include/GraphicsMagick/ 
-I/usr/include/python2.7 -c ./src/_Image.cpp -o 
build/temp.linux-x86_64-2.7/./src/_Image.o -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_6 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_x -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_19 
-DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_20 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22 
-D_LIBRARY_VERSION="1.3.24"
  cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for 
C/ObjC but not for C++
  ./src/_Image.cpp: In function ‘void __Image()’:
  ./src/_Image.cpp:529:56: error: no matching function for call to 
‘boost::python::class_<Magick::Image>::def(const char [12], <unresolved 
overloaded function type>)’
           .def("xResolution", &Magick::Image::xResolution)
                                                          ^
  In file included from /usr/include/boost/python.hpp:18:0,
                   from ./src/_Image.cpp:1:
  /usr/include/boost/python/class.hpp:224:11: note: candidate: template<class 
Derived> boost::python::class_<T, X1, X2, X3>::self& boost::python::class_<T, 
X1, X2, X3>::def(const boost::python::def_visitor<Derived>&) [with Derived = 
Derived; W = Magick::Image; X1 = boost::python::detail::not_specified; X2 = 
boost::python::detail::not_specified; X3 = boost::python::detail::not_specified]
       self& def(def_visitor<Derived> const& visitor)
             ^
  /usr/include/boost/python/class.hpp:224:11: note:   template argument 
deduction/substitution failed:
  ./src/_Image.cpp:529:56: note:   mismatched types ‘const 
boost::python::def_visitor<U>’ and ‘const char [12]’
           .def("xResolution", &Magick::Image::xResolution)
                                                          ^
  In file included from /usr/include/boost/python.hpp:18:0,
                   from ./src/_Image.cpp:1:
  /usr/include/boost/python/class.hpp:234:11: note: candidate: template<class 
F> boost::python::class_<T, X1, X2, X3>::self& boost::python::class_<T, X1, X2, 
X3>::def(const char*, F) [with F = F; W = Magick::Image; X1 = 
boost::python::detail::not_specified; X2 = 
boost::python::detail::not_specified; X3 = boost::python::detail::not_specified]
       self& def(char const* name, F f)
             ^
  /usr/include/boost/python/class.hpp:234:11: note:   template argument 
deduction/substitution failed:
  ./src/_Image.cpp:529:56: note:   couldn't deduce template parameter ‘F’
           .def("xResolution", &Magick::Image::xResolution)
                                                          ^
  In file included from /usr/include/boost/python.hpp:18:0,
                   from ./src/_Image.cpp:1:
  /usr/include/boost/python/class.hpp:243:11: note: candidate: template<class 
A1, class A2> boost::python::class_<T, X1, X2, X3>::self& 
boost::python::class_<T, X1, X2, X3>::def(const char*, A1, const A2&) [with A1 
= A1; A2 = A2; W = Magick::Image; X1 = boost::python::detail::not_specified; X2 
= boost::python::detail::not_specified; X3 = 
boost::python::detail::not_specified]
       self& def(char const* name, A1 a1, A2 const& a2)
             ^
  /usr/include/boost/python/class.hpp:243:11: note:   template argument 
deduction/substitution failed:
  ./src/_Image.cpp:529:56: note:   candidate expects 3 arguments, 2 provided
           .def("xResolution", &Magick::Image::xResolution)
                                                          ^
  In file included from /usr/include/boost/python.hpp:18:0,
                   from ./src/_Image.cpp:1:
  /usr/include/boost/python/class.hpp:250:11: note: candidate: template<class 
Fn, class A1, class A2> boost::python::class_<T, X1, X2, X3>::self& 
boost::python::class_<T, X1, X2, X3>::def(const char*, Fn, const A1&, const 
A2&) [with Fn = Fn; A1 = A1; A2 = A2; W = Magick::Image; X1 = 
boost::python::detail::not_specified; X2 = 
boost::python::detail::not_specified; X3 = boost::python::detail::not_specified]
       self& def(char const* name, Fn fn, A1 const& a1, A2 const& a2)
             ^
  /usr/include/boost/python/class.hpp:250:11: note:   template argument 
deduction/substitution failed:
  ./src/_Image.cpp:529:56: note:   candidate expects 4 arguments, 2 provided
           .def("xResolution", &Magick::Image::xResolution)
                                                          ^
  In file included from /usr/include/boost/python.hpp:18:0,
                   from ./src/_Image.cpp:1:
  /usr/include/boost/python/class.hpp:266:11: note: candidate: template<class 
Fn, class A1, class A2, class A3> boost::python::class_<T, X1, X2, X3>::self& 
boost::python::class_<T, X1, X2, X3>::def(const char*, Fn, const A1&, const 
A2&, const A3&) [with Fn = Fn; A1 = A1; A2 = A2; A3 = A3; W = Magick::Image; X1 
= boost::python::detail::not_specified; X2 = 
boost::python::detail::not_specified; X3 = boost::python::detail::not_specified]
       self& def(char const* name, Fn fn, A1 const& a1, A2 const& a2, A3 const& 
a3)
             ^
  /usr/include/boost/python/class.hpp:266:11: note:   template argument 
deduction/substitution failed:
  ./src/_Image.cpp:529:56: note:   candidate expects 5 arguments, 2 provided
           .def("xResolution", &Magick::Image::xResolution)
                                                          ^
  error: command 'x86_64-linux-gnu-gcc' failed with exit status 1
  E: pybuild pybuild:274: build: plugin distutils failed with: exit code=1: 
/usr/bin/python setup.py build 
  dh_auto_build: pybuild --build -i python{version} -p 2.7 --dir . returned 
exit code 13
  debian/rules:8: recipe for target 'build' failed
  make: *** [build] Error 25

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: python-pgmagick.0.6-1.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to